Subject: FFI should have portable access to ‘errno’

From: Frank Terbeck <[email-masked]>
Date: Tue, 30 Sep 2014 22:17:04 +0200

Hello Guile Maintainers!

When accessing POSIX functions from a system's libc via Guile's dynamic
FFI, you commonly want to access the ‘errno’ variable to be able to
produce useful diagnostic messages.

Currently there's no such access built-in.

Mark Weaver on IRC thought it would be a good idea to add portable
access to the contents of ‘errno’ (however it's actually implemented) to
Guile's FFI. And now the idea has entered the bug tracker. :)

Regards, Frank

-- 
In protocol design, perfection has been reached not when there is
nothing left to add, but when there is nothing left to take away.
                                                  -- RFC 1925